body{
  justify-content: center; /* Centrado horizontal */
  align-items: center;     /* Centrado vertical */
  height: 100vh;           /* Altura total de la pantalla */
  margin: 0;
}

.CajaVariosArticulos{
	width: 100% !important;
    display: grid;
    justify-content: center;
    gap: 20px;
    grid-template-columns: repeat(2, 1fr);
}

.TituloCaja {
  grid-column: 1 / -1; 
  text-align:center;
  /* Alternativa: grid-column: span 2; */
}

.VariosArticulos{
	border: 1px solid #6a6767;
    padding: 15px;
    border-radius: 4px;
}

.img_producto{
	/* width: auto!important; */
    margin: auto!important;	
	max-height:650px;
}

@media screen and (max-width: 736px) {
    .CajaVariosArticulos {
		width: 100% !important;
		display: block;
	}
	
	.VariosArticulos{
		margin-bottom:20px;
	}
	
	.major {
        font-size: .75rem;
		width:auto!important;
    }	
}

#Btn-Whatsapp2{
    position: fixed;
    z-index: 9999;
    bottom: 24px;
    right: 15px;
    cursor: pointer;
	display:none;
}

#Btn-Whatsapp2 img {
    width: 44px;
}

.whatsapp-btn:hover {
	color: white;
    background: #32ad15;
    border: 2px solid #fff;
}

.whatsapp-btn {
    position: fixed;
    visibility: hidden;
    opacity: 0;
    right: 15px;
    bottom: 15px;
    z-index: 100000;
    width: 44px;
    height: 44px;
    border-radius: 50px;
    transition: all 0.4s;
	border: 2px solid #ffffff;
	border-bottom-color: initial!important;
}

.Item-image{
	border: 2px solid #fff;
}

.Item-Producto:hover{
	background:#4a45458f;	
}

.error-message{
	display:none;
	color: #1bf71ba1;
    text-align: center;
    background: #f72b2ba1;
    padding: 0px 10px 10px 10px;
    border-radius: 4px;
    font-size: 20px;
    font-weight: bold;
    font-family: "Source Sans Pro", sans-serif;
    text-transform: uppercase;
    letter-spacing: 4px;	
}

.sent-message{
	display:none;
	color: #1bf71ba1;
    text-align: center;
    background: #3c39409c;
    padding: 0px 10px 10px 10px;
    border-radius: 4px;
    font-size: 20px;
    font-weight: bold;
    font-family: "Source Sans Pro", sans-serif;
    text-transform: uppercase;
    letter-spacing: 4px;
}

.Item-Producto{
	cursor:pointer;
}

#main article .regresar{
	display: block;
    position: absolute;
    top: 0;
    width: 4rem;
    height: 4rem;
    cursor: pointer;
    text-indent: 4rem;
    overflow: hidden;
    white-space: nowrap;
}

#main article .regresar:before {
	-moz-transition: background-color 0.2s ease-in-out;
    -webkit-transition: background-color 0.2s ease-in-out;
    -ms-transition: background-color 0.2s ease-in-out;
    transition: background-color 0.2s ease-in-out;
    content: '';
    display: block;
    position: absolute;
    top: 0.75rem;
    left: 0.75rem;
    width: 2.5rem;
    height: 2.5rem;
    border-radius: 100%;
    background-position: center;
    background-image: url(icons/regresar.svg);
    background-size: 25px;
    background-repeat: no-repeat;
    filter: invert(100%) saturate(100%) hue-rotate(360deg) brightness(100%) contrast(100%);
}

.spinner-bt{
	width:6rem!important;
	height:6rem!important;
	z-index: 10;
    display: none;
}

.caja-spinner{
	position: absolute;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100%;
    margin: 0;
}

#pantalla-carga {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Fondo negro */
    display: none; /*debe ser flex*/
    justify-content: center;
    align-items: center;
    z-index: 9999; /* Asegura que esté por encima de todo */
    transition: opacity 0.5s ease; /* Transición suave al desaparecer */
}

/* Spinner sencillo */
.spinner {
    width: 5rem;
    height: 5rem;
    border: 5px solid #fff; /* Color de fondo del spinner */
    border-top: 5px solid #000; /* Color de la parte activa */
    border-radius: 50%;
    animation: girar 1s linear infinite;
}

@keyframes girar {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}